////////////////////////////////////////////////////////////////////////////////
///
///		Title		: Button File
///
///		Copyright (c) 2006, NHN Co., Ltd. ALL RIGHTS RESERVED
///
///		Team		: Desktop Service Development
///
////////////////////////////////////////////////////////////////////////////////
#pragma once

#include	"AbstractButton.h"
#include "NPCommonUI.h"
#include "ScriptletContainerFactory.h"

/**
* @ingroup 	Base UI	
* @brief 	Button component class
* @date		10/25/2006
* @author	telltale
* @remark	
*/
class NPCOMMONUI_API CNButton : public CAbstractButton
{
public:
	DECLARE_COMPONENT_CREATOR(CNButton);
	CNButton(void) {}
	virtual ~CNButton(void) {}

	DECLARE_RTTI;
	LPCTSTR GetClassName() { return SCRIPTLET_BUTTON_NODE; }
};